package com.mortals.xhx.module.certificate.web;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.ClassifyType;
import com.mortals.xhx.common.code.YesNoEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.certificate.model.CertificateClassifyEntity;
import com.mortals.xhx.module.certificate.service.CertificateClassifyService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 证照分类
*
* @author zxfei
* @date 2022-10-14
*/
@RestController
@RequestMapping("certificate/classify")
public class CertificateClassifyController extends BaseCRUDJsonBodyMappingController<CertificateClassifyService,CertificateClassifyEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CertificateClassifyController(){
        super.setModuleDesc( "证照分类");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"showFront", IBaseEnum.getEnumMap(YesNoEnum.class));
        this.addDict(model,"classifyType", IBaseEnum.getEnumMap(ClassifyType.class));
        super.init(model, context);
    }


}